ZONED-WRITE(1)

NAME
zoned-write - Execute a Write Command

SYNOPSIS
zoned write <uri> [<args>]

DESCRIPTION
Execute a Write Command

REQUIRED

<uri>
    Device URI e.g. '/dev/nvme0n1', '0000:01:00.1', '10.9.8.1.8888', '\.PhysicalDrive1'

--slba 0xNUM
    Start Logical Block Address

--nlb NUM
    Number of LBAs (NOTE: zero-based value)

OPTIONAL

[ --nsid 0xNUM ]
    Namespace Identifier for Command Construction

[ --data-input FILE ]
    Path to data input-file

[ --meta-input FILE ]
    Path to meta input-file

[ --subnqn STRING ]
    Subsystem NQN of the NVMe over Fabrics endpoint e.g. 'nqn.2022-06.io.xnvme:ctrlnode1'

[ --hostnqn STRING ]
    The host NQN to use when connecting to NVMe over Fabrics controllers

[ --be STRING ]
    xNVMe backend, e.g. 'linux', 'spdk', 'fbsd', 'macos', 'posix', 'windows'

[ --dev-nsid 0xNUM ]
    Namespace Identifier for Device Handle

[ --admin STRING ]
    xNVMe admin. command-interface, e.g. 'nvme', 'block'

[ --mem STRING ]
    xNVMe buffer/memory manager

[ --direct NUM ]
    Bypass layers

[ --sync STRING ]
    xNVMe sync. command-interface, e.g. 'nvme', 'block'

[ --help ]
    Show usage / help

SEE ALSO
Full documentation at: <https://xnvme.io/>

AUTHOR
Written by Simon A. F. Lund <simon.lund@samsung.com> on behalf of Samsung